Page MenuHomePhabricator

Wikistats2 bugs (4/4) - Detail page
Closed, ResolvedPublic5 Story Points

Description

  • The date range selector does not show selected option when not focused.

  • If we select 1 year in the time-range selector, the graph shows 13 data points. Is that expected?

  • If we enable the breakdown, the graph shows one sub-column for each breakdown value, but the last data-point has only 1 sub-column.


  • The scale repeats points 10G, 10G, 10G, 20G, 20G


And BTW, I understand G is an abbreviation for Billion, like in 128 GB. But outside the IT context, shouldn't it be 20B instead of 20G?


  • Full-screen mode does not have a border on the left hand side, is that expected?

Tasked T173372 [x] - When we select 1 month time-range, the graph shows 1 data point only. Is that expected? With 3 months there are 3 data points. Should we revisit the auto-granularity?


  • When selecting a single month as time-range the total indicated below does not match the value in the chart. This might happen in other time-ranges, but in this case it's easy to spot.

Event Timeline

mforns created this task.Jul 18 2017, 2:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 2:34 PM
fdans set the point value for this task to 5.Jul 24 2017, 4:11 PM
fdans edited projects, added Analytics-Kanban; removed Analytics.
fdans updated the task description. (Show Details)Jul 24 2017, 4:18 PM
fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.Aug 7 2017, 4:18 PM
fdans updated the task description. (Show Details)Aug 8 2017, 6:36 PM
fdans claimed this task.Aug 15 2017, 12:48 PM
fdans updated the task description. (Show Details)Aug 15 2017, 2:02 PM
fdans updated the task description. (Show Details)Aug 15 2017, 2:16 PM
fdans updated the task description. (Show Details)
fdans updated the task description. (Show Details)
fdans added a comment.Aug 15 2017, 2:29 PM

The last point is fixed by D753

fdans moved this task from Ready to Deploy to In Code Review on the Analytics-Kanban board.
Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Sep 6 2017, 3:01 PM

Still a few problems:

  • The date range selector does not show selected option when not focused. (try clicking 1 year and then clicking on the graph selector dropdown)
  • If we select 1 year in the time-range selector, the graph shows 13 data points. Is that expected? (now it's showing 11, I would think 13 is good, so you can get YoY comparison.
  • I understand G is an abbreviation for Billion, like in 128 GB. But outside the IT context, shouldn't it be 20B instead of 20G? (I agree with that - easily changed in the filters setup in main.js)
  • Full-screen mode does not have a border on the left hand side, is that expected? (border's a bit thicker than the right side now, if this is painful CSS I can take a look or we can just skip)
fdans added a comment.Sep 13 2017, 5:22 PM

If we select 1 year in the time-range selector, the graph shows 13 data points. Is that expected? (now it's showing 11, I would think 13 is good, so you can get YoY comparison.

11 months is the result of asking the api data for the last 12 months. @mforns and I agreed to not get into the implementation details of the api when setting the date ranges

Full-screen mode does not have a border on the left hand side, is that expected? (border's a bit thicker than the right side now, if this is painful CSS I can take a look or we can just skip)

This should be part of a broader task to make the application responsive.

If we select 1 year in the time-range selector, the graph shows 13 data points. Is that expected? (now it's showing 11, I would think 13 is good, so you can get YoY comparison.
11 months is the result of asking the api data for the last 12 months. @mforns and I agreed to not get into the implementation details of the api when setting the date ranges
Full-screen mode does not have a border on the left hand side, is that expected? (border's a bit thicker than the right side now, if this is painful CSS I can take a look or we can just skip)
This should be part of a broader task to make the application responsive.

Agreed these two are not issues right now then.

Change 383071 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Use B instead of G to represent billion in the detail page

https://gerrit.wikimedia.org/r/383071

Change 383071 merged by Mforns:
[analytics/wikistats2@master] Use B instead of G to represent billion in the detail page

https://gerrit.wikimedia.org/r/383071

fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Oct 18 2017, 10:26 AM
Nuria closed this task as Resolved.Oct 24 2017, 11:48 PM